Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 233089 - LILO hangs after kernel upgrading to 2.6.19/2.6.20
LILO hangs after kernel upgrading to 2.6.19/2.6.20
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lilo (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-20 09:59 EDT by 260795
Modified: 2008-04-10 14:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 14:49:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Lilo log, 2.6.20 kernel (228 bytes, text/plain)
2007-03-20 10:02 EDT, 260795
no flags Details
Lilo log, 2.6.15 kernel (2.27 KB, text/plain)
2007-03-20 10:03 EDT, 260795
no flags Details
Lilo configuration file (424 bytes, text/plain)
2007-03-20 10:12 EDT, 260795
no flags Details

  None (edit)
Description 260795 2007-03-20 09:59:10 EDT
Description of problem: after upgrading to kernel 2.6.19 or 2.6.20 lilo stop 
working, consuming 100% cpu time whenever called to update the current 
configuration. Works with the stock 2.6.15 kernel.

Version-Release number of selected component (if applicable): LILO version 21.4-
4

How reproducible: reproducible.

Steps to Reproduce: run lilo with one of the kernels above
  
Actual results: lilo hangs.

Expected results: usual update of the current configuration.

Additional info: attached a lilo -v 3 log with the 2.6.15 kernel and the 2.6.20 
kernel. Top show a 100% CPU usage, reporting that it is almost only system CPU 
usage.
Comment 1 260795 2007-03-20 10:02:12 EDT
Created attachment 150480 [details]
Lilo log, 2.6.20 kernel
Comment 2 260795 2007-03-20 10:03:16 EDT
Created attachment 150481 [details]
Lilo log, 2.6.15 kernel
Comment 3 260795 2007-03-20 10:12:54 EDT
Created attachment 150482 [details]
Lilo configuration file

I already tried almost any relevant lilo option to work around the problem,
with no result.
Comment 4 Chuck Ebbert 2007-03-20 16:45:48 EDT
Can you get output from alt-sysrq-p when this happens?

Or, this will show state too:
   echo "p" >/proc/sysrq-trigger

Do that several times and post the output.
Comment 5 260795 2007-03-21 04:31:17 EDT
Tried it, both with lilo hanging and without lilo running. On the console, the 
dmesg buffer and in the /var/log/messages file the following message appears:

SysRq : Show Regs

Nothing else. I tried quickly repeating the echo command dozens of times, even 
after leaving lilo haging for quite a long time. The message above just get 
repeated over and over. Ma be I have to enable something to get the requested 
output?

I also tried leaving lilo running all night long, just to see if some long 
timeout gets triggered, with no result. Lilo keeps consuming 100% system CPU 
and does nothing else.
Comment 6 Bug Zapper 2008-04-04 02:35:57 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 7 260795 2008-04-07 02:58:10 EDT
Upgraded to grub since then, so I'm no longer able to supply informations for
this problem.
Comment 8 John Poelstra 2008-04-10 14:49:48 EDT
thanks for the update

Note You need to log in before you can comment on or make changes to this bug.